# Class JreCompat

java.lang.Object
org.apache.el.util.JreCompat

public class JreCompat extends Object

## Constructor Summary

Constructors
Constructor
Description
`JreCompat()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canAccess(Object base, AccessibleObject accessibleObject)`
Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?
`static JreCompat`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JreCompat

public JreCompat()

## Method Details

### getInstance

public static JreCompat getInstance()

### canAccess

public boolean canAccess(Object base, AccessibleObject accessibleObject)
Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?

Parameters:
  `base` - The specific instance to be tested.
  `accessibleObject` - The method/field/constructor to be tested.
Returns:
  {code true} if the AccessibleObject can be accessed otherwise {code false}